bUTschy.de

Foscam und das Browser-Plugin Problem

Mit dem Google Chrome funktioniert das Plugin schon seit Version 45 nicht mehr, weder mit der plugins.xpi noch mit der Installation der IPCWebComponents.exe.

Auch der Firefox wird das Plugin nicht mehr lange unterstützt in der aktuellen Version 47 funktioniert es aber noch. Der Microsoft Edge hat garnicht erst mit angefangen diese Plugins zu unterstützen.

Für den Chrome habe ich jetzt aber einen Trick gefunden in Form einer Erweiterung:

Die Chrome Erweiterung nennt sich IE-Tab (https://chrome.google.com/webstore/deta[..]nadd?hl=de) die verschafft einem etwas Tricki ganz ohne Plugins wieder kompletten Zugriff auf die Admin Web-UI incl. Live-Video.

  • 31 Kommentare
  • 129811 Klicks

▼ Kommentare


#1|

AvatarbUTschy

Heute ist es soweit, Mozilla hat sein Firefox auf Version 52.0.1 aktualisiert und nun funktioniert die IPCWebComponents.exe auch hier nicht mehr.

Ich mache mich mal auf den Weg, eine Lösung zu finden, bin gleich wieder da 😉️


#2|

AvatarbUTschy

Ich habe mir vom Mozilla Webserver die vorletzte Version von Firefox (51 - portable) runtergeladen, die unterstützt noch NPAPI-Plugins.

Link: ftp.mozilla.org/pub/firefox/nightly/latest-mozilla-release-l10n/


#3|

AvatarCocco

Link führt leider ins Nirvana. Gibt es sonst noch eine Möglichkeit, den zu bekommen? Vlt. per Mail?


#4|

AvatarbUTschy

hm, komisch...
versuche es mal mit https:// also https://ftp.mozilla.org/pub/firefox/nightly und klick dich manuell in das Verzeichnis latest-mozilla-release-l10n

Gepackt ist die Datei ca. 450mb groß, also auch schlecht so was via eMail zu verschicken, sorry.


#5|

AvatarbUTschy

Mit nem kleinen Trick funktioniert das Plugin auch noch unter Firefox 52.

Gebe oben in der Firefox Adressleiste folgendes ein: about:config
Klick auf: Ich bin mir der Gefahren bewusst ! In der nun angezeigten Liste klicken wir irgendwo mit Rechts und gehen auf:
Neu und wählen Bolean und schreiben in der Zeile

plugin.load_flash_only

als Wert lassen wir false und klicken nur noch auf Ok. Nun sollten die alten Plugins wieder funktionieren.


#6|

AvatarRobert

bUTschy vielen Dank. Das klappt wirklich. Was genau ist die Ursache? Wird das erstmal so laufen, oder muss ich damit rechnen, dass ich bald wieder ein workaround brauche?


#7|

AvatarbUTschy

hi Robert,

ich kann mir gut vorstellen, das Mozilla diese Option aus der Version 53.x verbannen wird. Hier müsste sich Foscam vielleicht etwas einfallen lassen. Mir ist darüber aber noch nichts bekannt, ich werde berichten 🙂


#8|

AvatarbUTschy

In Windows 10 gibt es ja auch noch den alten Internet Explorer 11, der unterstützt immer noch die Foscam Plugins.

Aber auch hier ist es eine frage der Zeit, bis Mircrosoft den aus der Windows 10 Installation heraus nimmt.


#9|

AvatarJo Pf

Vielen Dank für die Hilfe mit dem Plugin!!!!!!


#10|

AvatarbUTschy

immer wieder gern 🙂


#11|

AvatarbUTschy

so, Firefox gerade auf Version 53 aktualisiert und siehe da, das Foscam Plugin (also der Trick mit dem plugin.load_flash_only #5) funktioniert immer noch 😉️


#12|

AvatarMarkus

Was sagt FOSCAM eigentlich dazu? Passiert da noch etwas? Wollen die Ihren Scheiß nicht mehr verkaufen?

Das ist ja echt nervig. Auf einem Mac sieht es nämlich noch beschissener mit den Plugins aus...

Das kann doch nicht deren Ernst sein?!?


#13|

AvatarbUTschy

moin moin,

da kann Foscam nichts für wenn der Browser-Hersteller keine "externen" plugins mehr unterstützt.

Alternative bietet Foscam Clients wie Super-Client oder VMS an, welche leider beide nur für Windows sind.


#14|

AvatarLiebelein

Hallo @
das ist eine Frechheit, das die da nichts anderes machen.
das Problem gibt es nicht seit gestern
wollte mir eigentlich noch 2-3 Kameras holen, aber bestimmt nicht von Foscam, von dehnen kommt nichts
das finde ich zu billig zusagen das die Browserhersteller keine externen Plugin's mehr unterstützen, warum muss ich überhaupt ein Plugin haben?
naja, so werden die keine weiteren Kameras mehr verkaufen,, was ich so alles lese im Internet.
schade das man die nicht mehr zurück geben kann


#15|

AvatarLiebelein

ich noch mal

das geht nicht gegen euch, finde es toll das nach Lösungen gesucht wird, aber das verlange ich eigentlich von Foscam.
weiss ja nicht wie ihr das sieht.
will gerade eine neue Software (Cam) aufspielen, aber selbst das scheint ein Problem zu sein.
ich glaube ich werde die ......
Gruß


#16|

AvatarbUTschy

hi,

welche Probleme hast du denn aktuell ?
Bisher funktioniert das Plugin zumindest im Firefox noch und wenn nicht, bleibt einem immer noch der Windows-Client oder eben die Foscam-App.

Oder.... und das funktioniert mit der integrierten Software der Foscam, man programmiert sich selber was zusammen.

mfg. bUTschy


#17|

AvatarHarry

danke bUTschy
dein Tipp mit der bolean...plugin.load_flash_only hat geholfen


#18|

AvatarLiebelein

@bUTschy
Kamera läuft soweit im Browser (FireFox Portabel 53.0.3)
das habe ich auch schon bevor ich hier war gemacht:
,,plugin.load_flash_only" funzt immer noch, aber wieso kann ich
kein Update der Kamera machen, ich kann die xxx.bin auswählen, aber das Auswahl Fenster bleibt danach leer.
das gleiche ist bei der Config-Sicherung der Camera der Fall, frage mich warum das so ist.
ich habe ja schon updates für die Camera gemacht
Gruß Liebelein


#19|

AvatarbUTschy

moin,

ein update hab ich schon lange nicht mehr gemacht (zuletzt vor ca. einem Jahr bei meiner Fi9826W) werd das aber jetzt mal mit meiner C1 machen.

Bei welchem Model klappt das bei dir nicht ?


#20|

AvatarSaller

Bei mir hat der grick mit der about:config nicht mehr funktioniert. Es half nur firefox 54 deinstallieren und dann zb firefox 37 installieren. Anders komm ich nicht ins menu der foscam


Kommentar hinzufügen